from fastapi import APIRouter, Depends
from sqlalchemy.orm import Session

from app.api import deps

router = APIRouter()


@router.get("/health", summary="Check service health")
def health_check(db: Session = Depends(deps.get_db)):
    """
    Check service health:
    - Database connection is active
    - API is responding
    """
    # Try to execute a simple query to check DB connection
    db.execute("SELECT 1")

    return {"status": "ok", "message": "Service is healthy"}
